﻿using Android.App;
using Android.OS;
using System;
using ThinkGeo.MapSuite.AndroidEdition;
using ThinkGeo.MapSuite.Core;

namespace TestForWMTS
{
    [Activity(Label = "TestForWMTS", MainLauncher = true, Icon = "@drawable/icon")]
    public class MainActivity : Activity
    {
        private MapView androidMap;

        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);

            SetContentView(Resource.Layout.Main);
            androidMap = FindViewById<MapView>(Resource.Id.androidmap);
            androidMap.MapUnit = GeographyUnit.DecimalDegree;
            androidMap.CurrentExtent = new RectangleShape(-6, 53, 8, 42);

            LayerOverlay layerOverlay = new LayerOverlay();

            WmtsLayer wmtsLayer = new WmtsLayer();
            wmtsLayer.DrawingExceptionMode = DrawingExceptionMode.DrawException;
            wmtsLayer.WmtsSeverEncodingType = WmtsSeverEncodingType.Kvp;
            wmtsLayer.ServerUris.Add(new Uri("http://geobretagne.fr/gwc02/service/wmts"));
            wmtsLayer.ActiveLayerName = "carte";
            wmtsLayer.TileMatrixSetName = "EPSG:4326";
            wmtsLayer.OutputFormat = "image/png";

            layerOverlay.Layers.Add(wmtsLayer);
            androidMap.Overlays.Add("roadLayer", layerOverlay);
        }
    }
}

